%global _internal_version  bc95a99
%global date 20161107

Name:           nemo-extensions
Version:        3.2.0
Release:        %mkrel 1
#Release:        %mkrel -c %{date}.git%{_internal_version} 3
Summary:        Extensions for Nemo
Group:          Graphical desktop/Cinnamon
License:        GPLv2+ and LGPLv2
URL:            http://cinnamon.linuxmint.com

Source0:        nemo-extensions-%{version}.tar.gz
#SourceGet0:    https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz
##Source0:        nemo-extensions-%{version}.git%{_internal_version}.tar.gz
##SourceGet0: https://github.com/linuxmint/nemo-extensions/tarball/%{_internal_version}
Patch0:		fix_nemo_compare.patch

BuildRequires:  pkgconfig(libnemo-extension)
BuildRequires:  python-distutils-extra
BuildRequires:  python2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gpgme-devel
BuildRequires:  libcryptui-devel
BuildRequires:  pkgconfig(pygobject-2.0)
BuildRequires:  pkgconfig(pygobject-3.0)
BuildRequires:  gnome-common
BuildRequires:  intltool
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  libgnome-keyring-devel
BuildRequires:  gtk-doc  
BuildRequires:  libnotify-devel    
BuildRequires:  pkgconfig(cjs-1.0)
BuildRequires:  pkgconfig(libmusicbrainz5)
BuildRequires:  pkgconfig(evince-document-3.0)
BuildRequires:  pkgconfig(evince-view-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(clutter-1.0)
BuildRequires:  pkgconfig(clutter-x11-1.0)
BuildRequires:  pkgconfig(clutter-gtk-1.0)
BuildRequires:  pkgconfig(clutter-gst-3.0)
BuildRequires:  pkgconfig(gcr-3)
BuildRequires:  perl(XML::Parser)

%description
Extensions for Nemo

%package     -n nemo-pastebin
Summary:     Pastebin extension for Nemo
License:     GPLv2+
Requires:    pastebinit
Requires:    nemo-python

%description -n nemo-pastebin
nemo-pastebin is an extension for the Nemo file manager, which allows
users to send files to pastebins just a right-click away.

%package     -n nemo-rabbitvcs
Summary:     RabbitVCS extension for Nemo
License:     GPLv2+
Requires:    rabbitvcs-core
Requires:    nemo-python
Requires:    python-simplejson

%description -n nemo-rabbitvcs
nemo-rabbitvcs is an extension for the Nemo file manager.
It provides easy access to the version control systems like SVN or Git.

%package     -n nemo-fileroller
Summary:     File Roller extension for Nemo
License:     GPLv2+
Requires:    file-roller

%description -n nemo-fileroller
This package contains the file-roller extension for the Nemo.

#%package     -n nemo-dropbox
#Summary:     Dropbox interface for nemo
#License:     GPLv2+

#%description -n nemo-dropbox
#Dropbox interface for nemo

%package     -n nemo-python
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    python-gobject3
Requires:    python-requests

%description -n nemo-python
Python bindings for Nemo

%package     -n nemo-python-devel
Summary:     Python bindings for Nemo
License:     GPLv2+
Requires:    nemo-python = %{version}-%{release}

%description -n nemo-python-devel
Python bindings for Nemo

%package     -n nemo-terminal
Summary:     Nemo Terminal is a terminal embedded in Nemo
License:     GPLv3+
Requires:    vte
Requires:    nemo-python

%description -n nemo-terminal
Nemo Terminal is a terminal embedded in Nemo

%package     -n nemo-preview
Summary:     A quick previewer for Nemo
License:     GPLv2+
Requires:    nemo

%description -n nemo-preview
Nemo Preview is a GtkClutter and Javascript-based quick previewer 
for Nemo.
It is capable of previewing documents, PDFs, sound and video files,
some text files, and possibly others in the future.

To activate the preview, left-click the file and hit space.
The preview can be closed by hitting space again, or escape.

%package     -n nemo-emblems
Summary:     Emblem support for nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    nemo-python

%description -n nemo-emblems
Restores the emblems functionality that used to be in GNOME 2.

%package     -n nemo-image-converter
Summary:     Nemo extension to mass resize images
Requires:    ImageMagick
License:     GPLv3+

%description -n nemo-image-converter
Adds a "Resize Images..." menu item to the context menu. This opens a dialog where you set the desired image size and file name.

%package     -n nemo-compare
Summary:     Context menu comparison extension for nemo
License:     GPLv3+
BuildArch:   noarch
Requires:    nemo-python
Requires:    meld
Requires:    pyxdg

%description -n nemo-compare
Context menu comparison extension for Nemo file manager. 

%prep
%setup -q
%autopatch -p1

%build
pushd nemo-pastebin
%{__python} setup.py build
popd

pushd nemo-fileroller
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make 
popd

pushd nemo-python
mv configure.in configure.ac
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --docdir=%{_datadir}/doc/nemo-python
%make
popd

pushd nemo-preview
NOCONFIGURE=1 ./autogen.sh
%configure2_5x
%make
popd

pushd nemo-image-converter
NOCONFIGURE=1 gnome-autogen.sh
%configure2_5x
%make
popd

%install
pushd nemo-pastebin
%{__python} setup.py install -O1 --install-scripts=%{_datadir}/nemo-pastebin/ --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_datadir}/nemo-python/extensions/
mv %{buildroot}/%{_datadir}/nemo-pastebin/nemo-pastebin.py %{buildroot}/%{_datadir}/nemo-python/extensions/
mkdir -p %{buildroot}/%{_bindir}/
ln -s %{_datadir}/nemo-pastebin/nemo-pastebin-configurator.py %{buildroot}/%{_bindir}/nemo-pastebin-configurator
popd

pushd nemo-rabbitvcs
cp -p RabbitVCS.py %{buildroot}/%{_datadir}/nemo-python/extensions/
popd

pushd nemo-fileroller
%make_install
popd

pushd nemo-python
%make_install
popd

pushd nemo-terminal
mkdir %{buildroot}/%{_datadir}/nemo-terminal
install -pm 0644 src/nemo_terminal.py %{buildroot}/%{_datadir}/nemo-python/extensions/
install -pm 0644 src/org.nemo.extensions.nemo-terminal.gschema.xml %{buildroot}/%{_datadir}/glib-2.0/schemas/
install -pm 0644 pixmap/logo_120x120.png %{buildroot}/%{_datadir}/nemo-terminal
popd

pushd nemo-preview
%make_install
popd

pushd nemo-emblems
install -pm 0644 nemo-extension/nemo-emblems.py %{buildroot}/%{_datadir}/nemo-python/extensions/
chmod -x COPYING.GPL3
popd

pushd nemo-image-converter
%make_install
popd

pushd nemo-compare
install -pm 0644 src/{nemo-compare,nemo-compare-preferences,utils}.py %{buildroot}/%{_datadir}/nemo-python/extensions/
install -pm 0644 data/nemo-compare-preferences.desktop %{buildroot}/%{_datadir}/applications/
popd

# remove useless libtool archive files
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.la
rm %{buildroot}/%{_libdir}/nemo/extensions-3.0/libnemo-*.a
rm %{buildroot}/%{_libdir}/nemo-preview/libnemo-preview-1.0.la

desktop-file-install                                    \
 --delete-original                                      \
 --dir=%{buildroot}%{_datadir}/applications             \
 %{buildroot}/%{_datadir}/applications/nemo-pastebin-configurator.desktop

%find_lang nemo-preview
%find_lang nemo-image-converter

%files -n nemo-pastebin
%doc nemo-pastebin/{README,NEWS}
%license nemo-pastebin/COPYING
%{_bindir}/nemo-pastebin-configurator
%{_datadir}/nemo-python/extensions/nemo-pastebin.py
%{python_sitelib}/nemo_pastebin-3.2.0-py?.?.egg-info
%{_datadir}/applications/nemo-pastebin-configurator.desktop
%{_datadir}/glib-2.0/schemas/nemo-pastebin.gschema.xml
%{_datadir}/nemo-pastebin/
%{_datadir}/pixmaps/nemo-pastebin.svg

%files -n nemo-rabbitvcs
%doc nemo-rabbitvcs/README
%license nemo-rabbitvcs/COPYING
%{_datadir}/nemo-python/extensions/RabbitVCS.py

%files -n nemo-fileroller
%doc nemo-fileroller/README
%license nemo-fileroller/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-fileroller.so

%files -n nemo-python
%doc nemo-python/README
%doc nemo-python/examples
%license nemo-python/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-python.so
%{_datadir}/nemo-python/
%exclude %{_datadir}/nemo-python/extensions/*

%files -n nemo-python-devel
%{_libdir}/pkgconfig/nemo-python.pc

%files -n nemo-terminal
%doc nemo-terminal/README
%license nemo-terminal/COPYING
%{_datadir}/nemo-python/extensions/nemo_terminal.py
%{_datadir}/nemo-terminal/
%{_datadir}/glib-2.0/schemas/org.nemo.extensions.nemo-terminal.gschema.xml

%files -n nemo-preview -f nemo-preview.lang
%doc nemo-preview/README
%license nemo-preview/COPYING
%{_bindir}/nemo-preview
%{_libdir}/nemo-preview/
%{_libexecdir}/nemo-preview-start
%{_datadir}/nemo-preview/
%{_datadir}/dbus-1/services/org.nemo.Preview.service


%files -n nemo-emblems
%license nemo-emblems/COPYING.GPL3
%{_datadir}/nemo-python/extensions/nemo-emblems.py*

%files -n nemo-image-converter  -f nemo-image-converter.lang
%doc nemo-image-converter/README
%license nemo-image-converter/COPYING
%{_libdir}/nemo/extensions-3.0/libnemo-image-converter.so
%{_datadir}/nemo-image-converter/

%files -n nemo-compare
%{_datadir}/nemo-python/extensions/nemo-compare.py*
%{_datadir}/nemo-python/extensions/nemo-compare-preferences.py*
%{_datadir}/nemo-python/extensions/utils.py*
%{_datadir}/applications/nemo-compare-preferences.desktop


%changelog
* Mon Jan 23 2017 joequant <joequant> 3.2.0-1.mga6
+ Revision: 1083168
- upgrade to 3.2.0

* Tue May 03 2016 joequant <joequant> 3.0.0-1.mga6
+ Revision: 1008845
- upgrade to 3.0.0

* Wed Mar 16 2016 luigiwalser <luigiwalser> 2.8.x-3.mga6
+ Revision: 992178
- try building with webkit2

* Tue Feb 16 2016 umeabot <umeabot> 2.8.x-2.mga6
+ Revision: 961723
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 joequant <joequant> 2.8.x-1.mga6
+ Revision: 894218
- upgrade to 2.8.x

* Tue Sep 08 2015 joequant <joequant> 2.6.x-4.mga6
+ Revision: 874053
- add new extensions

* Thu Jul 02 2015 fwang <fwang> 2.6.x-3.mga6
+ Revision: 849467
- cleanup spec

* Thu Jul 02 2015 fwang <fwang> 2.6.x-2.mga6
+ Revision: 849451
- rebuild for libmusicbrainz5

* Fri Jun 26 2015 joequant <joequant> 2.6.x-1.mga6
+ Revision: 844407
- upgrade to 2.6

* Wed Dec 03 2014 tmb <tmb> 2.4.x-2.mga5
+ Revision: 800479
- bump rel past testing

* Sun Nov 23 2014 joequant <joequant> 2.4.x-1.mga5
+ Revision: 798397
- upgrade to 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.x-5.mga5
+ Revision: 741709
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.x-4.mga5
+ Revision: 727471
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.x-3.mga5
+ Revision: 682830
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Fri Apr 18 2014 joequant <joequant> 2.2.x-1.mga5
+ Revision: 616799
- upgrade to 2.2.x

* Wed Feb 19 2014 tv <tv> 2.0.0-0.20140101.gitc9a8d0c.5.mga5
+ Revision: 594976
- rebuild for new libevdev

* Wed Feb 19 2014 tv <tv> 2.0.0-0.20140101.gitc9a8d0c.4.mga5
+ Revision: 594972
- rebuild for new libevdev

* Fri Feb 07 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.3.mga5
+ Revision: 585372
- rebuild for new pango

* Wed Jan 08 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.2.mga5
+ Revision: 565561
- push to core/release

* Thu Jan 02 2014 joequant <joequant> 2.0.0-0.20140101.gitc9a8d0c.1.mga4
+ Revision: 563971
- add more buildrequires
- add more buildrequires
- fix depends
- add build requires gobject introspection
- upgrade to latest git

* Tue Oct 22 2013 umeabot <umeabot> 2.0.0-0.20130930.gitadeeeb1.4.mga4
+ Revision: 542897
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.0.0-0.20130930.gitadeeeb1.3.mga4
+ Revision: 497957
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 12 2013 joequant <joequant> 2.0.0-0.20130930.gitadeeeb1.2.mga4
+ Revision: 495929
- fix python-gobject3 dependency

* Sat Oct 12 2013 joequant <joequant> 2.0.0-0.20130930.gitadeeeb1.1.mga4
+ Revision: 495924
- clean up spec
- imported package nemo-extensions

